Package com.independentsoft.office.odf.forms

# Class Number

java.lang.Object
com.independentsoft.office.odf.forms.Control
com.independentsoft.office.odf.forms.Number

All Implemented Interfaces:
  `IFormContent`, `IContentElement`

public class Number extends Control
Defines a control which allows the user to enter a floating point number. The data type of this element is restricted to numeric data.

- ## Field Summary

  ### Fields inherited from class com.independentsoft.office.odf.forms.Control

  `eventListeners, parent, properties`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Number()`
  Initializes a new instance of the Number class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Number`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `List<IContentElement>`
  `getContentElements()`
  Returns all content elements.
  `String`
  `getControlImplementation()`
  Gets the specific concrete rendition or implementation of a control that should be instantiated.
  `double`
  `getCurrentValue()`
  Gets the current status of an input control.
  `double`
  `getDefaultValue()`
  Gets the default value of an input control.
  `String`
  `getID()`
  Gets an identifier for a control element.
  `double`
  `getMaximumValue()`
  Gets the maximum value that a user can enter.
  `double`
  `getMinimumValue()`
  Gets the minimum value that a user can enter.
  `String`
  `getName()`
  Gets the name of a form or control element.
  `IContentElement`
  `getParent()`
  Returns the parent content element.
  `void`
  `setControlImplementation​(String controlImplementation)`
  Sets the specific concrete rendition or implementation of a control that should be instantiated.
  `void`
  `setCurrentValue​(double currentValue)`
  Sets the current status of an input control.
  `void`
  `setDefaultValue​(double defaultValue)`
  Sets the default value of an input control.
  `void`
  `setID​(String id)`
  Sets an identifier for a control element.
  `void`
  `setMaximumValue​(double maximumValue)`
  Sets the maximum value that a user can enter.
  `void`
  `setMinimumValue​(double minimumValue)`
  Sets the minimum value that a user can enter.
  `void`
  `setName​(String name)`
  Sets the name of a form or control element.
  `void`
  `setParent​(IContentElement parent)`
  Sets the parent content element.
  `String`
  `toString()`
  Converts the value of the current Number object to its equivalent string representation.

  ### Methods inherited from class com.independentsoft.office.odf.forms.Control

  `getEventListeners, getProperties`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Number

    public Number()
    Initializes a new instance of the Number class.

- ## Method Details

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Returns all content elements.
    Specified by:
      `getContentElements` in interface `IContentElement`
    Specified by:
      `getContentElements` in class `Control`
    Returns:
      A collection of content elements.

  - ### getParent

    public IContentElement getParent()
    Returns the parent content element.
    Specified by:
      `getParent` in interface `IContentElement`
    Overrides:
      `getParent` in class `Control`
    Returns:
      the parent

  - ### setParent

    public void setParent​(IContentElement parent)
    Sets the parent content element.
    Specified by:
      `setParent` in interface `IContentElement`
    Overrides:
      `setParent` in class `Control`
    Parameters:
      `parent` - the new parent

  - ### clone

    public Number clone()
    Creates a new object that is a deep copy of the current instance.
    Specified by:
      `clone` in interface `IContentElement`
    Specified by:
      `clone` in interface `IFormContent`
    Specified by:
      `clone` in class `Control`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current Number object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getName

    public String getName()
    Gets the name of a form or control element.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the name of a form or control element.
    Parameters:
      `name` - the new name

  - ### getControlImplementation

    public String getControlImplementation()
    Gets the specific concrete rendition or implementation of a control that should be instantiated.
    Returns:
      the control implementation

  - ### setControlImplementation

    public void setControlImplementation​(String controlImplementation)
    Sets the specific concrete rendition or implementation of a control that should be instantiated.
    Parameters:
      `controlImplementation` - the new control implementation

  - ### getID

    public String getID()
    Gets an identifier for a control element.
    Returns:
      the id

  - ### setID

    public void setID​(String id)
    Sets an identifier for a control element.
    Parameters:
      `id` - the new id

  - ### getDefaultValue

    public double getDefaultValue()
    Gets the default value of an input control.
    Returns:
      the default value

  - ### setDefaultValue

    public void setDefaultValue​(double defaultValue)
    Sets the default value of an input control.
    Parameters:
      `defaultValue` - the new default value

  - ### getCurrentValue

    public double getCurrentValue()
    Gets the current status of an input control.
    Returns:
      the current value

  - ### setCurrentValue

    public void setCurrentValue​(double currentValue)
    Sets the current status of an input control.
    Parameters:
      `currentValue` - the new current value

  - ### getMinimumValue

    public double getMinimumValue()
    Gets the minimum value that a user can enter.
    Returns:
      the minimum value

  - ### setMinimumValue

    public void setMinimumValue​(double minimumValue)
    Sets the minimum value that a user can enter.
    Parameters:
      `minimumValue` - the new minimum value

  - ### getMaximumValue

    public double getMaximumValue()
    Gets the maximum value that a user can enter.
    Returns:
      the maximum value

  - ### setMaximumValue

    public void setMaximumValue​(double maximumValue)
    Sets the maximum value that a user can enter.
    Parameters:
      `maximumValue` - the new maximum value